Subject: bug#59789: closed (Re: bug#59789: 29.0.50; admin/notes/tree-sitter/html-manual redundant?)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Sep 2023 23:54:01 +0000

Your bug report

#59789: 29.0.50; admin/notes/tree-sitter/html-manual redundant?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59789: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59789
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59789: 29.0.50; admin/notes/tree-sitter/html-manual redundant?
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 5 Sep 2023 16:53:34 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> On December 3, 2022 4:20:37 PM GMT+02:00, Stefan Kangas <[email-masked]> wrote:
>> Eli Zaretskii <[email-masked]> writes:
>>
>> > The intent is to remove that directory before we produce the first pretest.
>>
>> Thanks, so I think we can revisit this later.  I'm leaving the bug open
>> as a reminder, but I've also added this to my notes in a place where
>> I'll hopefully see it before preparing the pretest.
>>
>
> Thanks.

The file has been removed; closing.

Subject: 29.0.50; admin/notes/tree-sitter/html-manual redundant?
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Fri, 2 Dec 2022 16:09:20 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

What's the purpose of the admin/notes/tree-sitter/html-manual directory?
The build-manual.sh script seems to just make an HTML export of the
elisp manual, and then copying a few HTML files in place.

I guess it's fine to provide that script, but doesn't it seem redundant
to keep those HTML files updated in git?  Is the idea to ship them with
our release tarball?  We don't do that for other features.